Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nwoods.jgo.layout
Class JGoForceDirectedAutoLayoutNodeData

    java.lang.Object
      com.nwoods.jgo.layout.JGoForceDirectedAutoLayoutNodeData

All Implemented Interfaces:
  JGoAutoLayoutNodeData

public class JGoForceDirectedAutoLayoutNodeData
extends java.lang.Object
implements JGoAutoLayoutNodeData

Holds force-directed auto-layout specific data associated with each JGoNetworkNode in the JGoNetwork.

Field Summary
`int` | `changeX` changeX - total change in the X coordinate of the node over 10 iterations
`int` | `changeY` changeY - total change in the Y coordinate of the node over 10 iterations
`double` | `charge` charge - charge of the node; see the electricalCharge method
`double` | `forceX` forceX - cumulative force on the node in the X-direction
`double` | `forceY` forceY - cumulative force on the node in the Y-direction
`double` | `mass` mass - mass of the node; see the gravitationalMass method

Constructor Summary
`JGoForceDirectedAutoLayoutNodeData()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### changeX

    public int changeX

  changeX - total change in the X coordinate of the node over 10 iterations

### changeY

    public int changeY

  changeY - total change in the Y coordinate of the node over 10 iterations

### forceX

    public double forceX

  forceX - cumulative force on the node in the X-direction

### forceY

    public double forceY

  forceY - cumulative force on the node in the Y-direction

### charge

    public double charge

  charge - charge of the node; see the electricalCharge method

### mass

    public double mass

  mass - mass of the node; see the gravitationalMass method

Constructor Detail

### JGoForceDirectedAutoLayoutNodeData

    public JGoForceDirectedAutoLayoutNodeData()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD